ipe::CanvasBase::Style Struct Reference

`#include <ipecanvas.h>`

## Public Attributes

Color | paperColor
Color | primarySelectionColor
Color | secondarySelectionColor
bool | pretty
bool | classicGrid
double | thinLine
double | thickLine
int | thinStep
int | thickStep
bool | paperClip
bool | numberPages

## Detailed Description

In pretty display, no dashed lines are drawn around text objects, and if Latex font data is not available, no text is drawn at all.

## Member Data Documentation

## paperColor

Color ipe::CanvasBase::Style::paperColor

## primarySelectionColor

Color ipe::CanvasBase::Style::primarySelectionColor

## secondarySelectionColor

Color ipe::CanvasBase::Style::secondarySelectionColor

## pretty

bool ipe::CanvasBase::Style::pretty

## classicGrid

bool ipe::CanvasBase::Style::classicGrid

## thinLine

double ipe::CanvasBase::Style::thinLine

## thickLine

double ipe::CanvasBase::Style::thickLine

## thinStep

int ipe::CanvasBase::Style::thinStep

## thickStep

int ipe::CanvasBase::Style::thickStep

## paperClip

bool ipe::CanvasBase::Style::paperClip

## numberPages

bool ipe::CanvasBase::Style::numberPages

The documentation for this struct was generated from the following file:

- ipecanvas.h